StorePickupTimeReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор записи о времени отгрузки
      example: 1
    created_at:
      type: string
      description: Время создания записи о времени отгрузки
      example: "2021-01-15T14:55:35.000000Z"
    updated_at:
      type: string
      description: Время обновления записи о времени отгрузки
      example: "2021-01-15T14:55:35.000000Z"
StorePickupTimeFillableProperties:
  type: object
  properties:
    store_id:
      type: integer
      description: ID склада
      example: 17
    day:
      type: integer
      description: День недели (1-7)
      example: 3
    pickup_time_code:
      type: string
      description: Код времени отгрузки у службы доставки
      example: 12-14
    pickup_time_start:
      type: string
      description: Время начала отгрузки
      example: '14:00:00'
    pickup_time_end:
      type: string
      description: Время окончания отгрузки
      example: '18:00:00'
    cargo_export_time:
      type: string
      description: Время выгрузки информации о грузе в службу доставки
      example: '20:00:00'
    delivery_service:
      type: integer
      description: Служба доставки (если указана, то данная информация переопределяет данные дня недели без службы доставки)
      example: 17
StorePickupTimeRequiredProperties:
  type: object
  required:
    - store_id
    - day
StorePickupTimeForCreate:
  allOf:
    - $ref: '#/StorePickupTimeFillableProperties'
    - $ref: '#/StorePickupTimeRequiredProperties'
StorePickupTimeForReplace:
  allOf:
    - $ref: '#/StorePickupTimeFillableProperties'
    - $ref: '#/StorePickupTimeRequiredProperties'
StorePickupTimeForPatch:
  allOf:
    - $ref: '#/StorePickupTimeFillableProperties'
StorePickupTime:
  allOf:
    - $ref: '#/StorePickupTimeReadonlyProperties'
    - $ref: '#/StorePickupTimeFillableProperties'

SearchStorePickupTimesFilter:
  type: object

SearchStorePickupTimesRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchStorePickupTimesFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

StorePickupTimeResponse:
  type: object
  properties:
    data:
      $ref: '#/StorePickupTime'
    meta:
      type: object
  required:
      - data
SearchStorePickupTimesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/StorePickupTime'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
      - data
      - meta
